{% extends "base.html" %}

{% block title %}Liste des utilisateurs{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item active" aria-current="page">Utilisateurs</li>
{% endblock %}

{% block content %}
    <div class="row border-bottom mb-3">
        <div class="col"><h2>Utilisateurs {% if view.is_active %}activés{% else %}désactivés{% endif %}</h2></div>
        {% if perms.common.add_utilisateur %}
        <div class="col text-end">
            {% if view.is_active %}
            <a class="btn btn-sm btn-outline-primary" href="{% url 'utilisateur-desactive-list' %}">Utilisateurs désactivés</a>
            {% else %}
            <a class="btn btn-sm btn-outline-primary" href="{% url 'utilisateur-list' %}">Utilisateurs actifs</a>
            {% endif %}
            <a class="btn btn-sm btn-outline-primary" href="{% url 'utilisateur-add' %}">Nouveau</a>
        </div>
        {% endif %}
    </div>

    <form class="immediate_submit table-filter unmonitor" method="get" action=".">
    <table class="table">
        <thead class="sticky">
            <tr><th>Nom, prénom</th><th>Courriel</th><th>Fonction</th><th>Groupes</th></tr>
            <tr class="filters">
                <td>{{ form.nom }}</td><td></td><td></td><td>{{ form.groupe }}</td>
            </tr>
        </thead>
        <tbody id="filter_container">
        {% for util in object_list %}
            <tr>
                <td><a href="{% url 'utilisateur-edit' util.pk %}">{{ util.last_name }} {{ util.first_name }}</a></td>
                <td><a href="mailto:{{ util.email }}">{{ util.email }}</a></td>
                <td>{{ util.fonction }}</td>
                <td>{% for grp in util.groups.all %}<div>{{ grp.name }}</div>{% endfor %}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    </form>

    {% include 'pagination.html' %}
{% endblock %}
